CGAL 6.1.2 - CGAL and the Boost Graph Library: I/O Functions (Deprecated)

CGAL 6.1.2 - CGAL and the Boost Graph Library

Loading...
Searching...
No Matches
Functions
I/O Functions (Deprecated)
Reference Manual » I/O Functions

##

## Functions
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_off (std::istream &is, Graph &g, const NamedParameters &np=parameters::default_values())
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_off (const char *fname, Graph &g, const NamedParameters &np=parameters::default_values())
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_off (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_off (const char *fname, const Graph &g, const NamedParameters &np=parameters::default_values())
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_vtp (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_wrl (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())

## Function Documentation

## ◆ read_off() [1/2]

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_off | ( | const char * | fname,
|  | Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF()` should be used instead.

## ◆ read_off() [2/2]

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_off | ( | std::istream & | is,
|  | Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF()` should be used instead.

## ◆ write_off() [1/2]

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_off | ( | const char * | fname,
|  | const Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF()` should be used instead.

## ◆ write_off() [2/2]

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_off | ( | std::ostream & | os,
|  | const Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF()` should be used instead.

## ◆ write_vtp()

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_vtp | ( | std::ostream & | os,
|  | const Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/VTK.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_VTP()` should be used instead.

## ◆ write_wrl()

template<typename Graph , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_wrl | ( | std::ostream & | os,
|  | const Graph & | g,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/boost/graph/IO/WRL.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_WRL()` should be used instead.